de.caff.util

## Class Primitives

- java.lang.Object
- - de.caff.util.Primitives

- Deprecated.
  Moved to different package, use `Primitives` instead

      @Deprecated
      public final class Primitives
      extends java.lang.Object

  Primitives helper tool.
  Author:
    Rammi

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Function1<byte[],byte[]>` | `BYTE_ARRAY_CLONER` Deprecated. Function which clones byte arrays.
    `static Function1<char[],char[]>` | `CHAR_ARRAY_CLONER` Deprecated. Function which clones char arrays.
    `static Function1<double[],double[]>` | `DOUBLE_ARRAY_CLONER` Deprecated. Function which clones double arrays.
    `static Function1<float[],float[]>` | `FLOAT_ARRAY_CLONER` Deprecated. Function which clones float arrays.
    `static Function1<int[],int[]>` | `INT_ARRAY_CLONER` Deprecated. Function which clones int arrays.
    `static Function1<long[],long[]>` | `LONG_ARRAY_CLONER` Deprecated. Function which clones long arrays.
    `static Function1<short[],short[]>` | `SHORT_ARRAY_CLONER` Deprecated. Function which clones short arrays.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `unsigned(byte b)` Deprecated. Get the unsigned value of a byte.
    `static long` | `unsigned(int i)` Deprecated. Get the unsigned value of an integer.
    `static int` | `unsigned(short s)` Deprecated. Get the unsigned value of a short int.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BYTE_ARRAY_CLONER

          public static final Function1<byte[],byte[]> BYTE_ARRAY_CLONER

      Deprecated.
      Function which clones byte arrays. `null` is accepted.

    - #### SHORT_ARRAY_CLONER

          public static final Function1<short[],short[]> SHORT_ARRAY_CLONER

      Deprecated.
      Function which clones short arrays. `null` is accepted.

    - #### INT_ARRAY_CLONER

          public static final Function1<int[],int[]> INT_ARRAY_CLONER

      Deprecated.
      Function which clones int arrays. `null` is accepted.

    - #### LONG_ARRAY_CLONER

          public static final Function1<long[],long[]> LONG_ARRAY_CLONER

      Deprecated.
      Function which clones long arrays. `null` is accepted.

    - #### CHAR_ARRAY_CLONER

          public static final Function1<char[],char[]> CHAR_ARRAY_CLONER

      Deprecated.
      Function which clones char arrays. `null` is accepted.

    - #### FLOAT_ARRAY_CLONER

          public static final Function1<float[],float[]> FLOAT_ARRAY_CLONER

      Deprecated.
      Function which clones float arrays. `null` is accepted.

    - #### DOUBLE_ARRAY_CLONER

          public static final Function1<double[],double[]> DOUBLE_ARRAY_CLONER

      Deprecated.
      Function which clones double arrays. `null` is accepted.

  - ### Method Detail

    - #### unsigned

          public static int unsigned(byte b)

      Deprecated.
      Get the unsigned value of a byte.
      Parameters:
        `b` - byte value
      Returns:
        unsigned value between `0x00` and `0xFF`

    - #### unsigned

          public static int unsigned(short s)

      Deprecated.
      Get the unsigned value of a short int.
      Parameters:
        `s` - short value
      Returns:
        unsigned value between `0x0000` and `0xFFFF`

    - #### unsigned

          public static long unsigned(int i)

      Deprecated.
      Get the unsigned value of an integer.
      Parameters:
        `i` - int value
      Returns:
        unsigned value between `0x00000000` and `0xFFFFFFFF`